Question: Installing Qiime on Ubuntu
2
gravatar for weiven90
3.5 years ago by
weiven9020
Malaysia
weiven9020 wrote:

I am a new to this field and trying to install QIIME to a ubuntuserver where I need to use the scripts to build a simple web-based app for a class assignment. I use http://qiime.org/1.8.0/install/install.html   to do the base installation using pip. I tried to install pip using

sudo apt-get install python-pip​

and got this error

Err http://us.archive.ubuntu.com/ubuntu/ raring/main dpkg-dev all 1.16.10ubuntu1
  404  Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com/ubuntu/ raring/main build-essential i386 11.6ubuntu4
  404  Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com/ubuntu/ raring/main fakeroot i386 1.18.4-2ubuntu1
  404  Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com/ubuntu/ raring/main libalgorithm-diff-xs-perl i386 0.04-2build3
  404  Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com/ubuntu/ raring/main python-setuptools all 0.6.34-0ubuntu1
  404  Not Found [IP: 91.189.91.14 80]
Err http://us.archive.ubuntu.com/ubuntu/ raring/universe python-pip all 1.3.1-0ubuntu1
  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/gcc-4.7/libstdc++6-4.7-dev_4.7.3-1ubuntu1_i386.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/gcc-4.7/g++-4.7_4.7.3-1ubuntu1_i386.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/gcc-defaults/g++_4.7.3-1ubuntu10_i386.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/d/dpkg/dpkg-dev_1.16.10ubuntu1_all.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/b/build-essential/build-essential_11.6ubuntu4_i386.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/f/fakeroot/fakeroot_1.18.4-2ubuntu1_i386.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/liba/libalgorithm-diff-xs-perl/libalgorithm-diff-xs-perl_0.04-2build3_i386.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/d/distribute/python-setuptools_0.6.34-0ubuntu1_all.deb  404  Not Found [IP: 91.189.91.14 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/universe/p/python-pip/python-pip_1.3.1-0ubuntu1_all.deb  404  Not Found [IP: 91.189.91.14 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Should I use qiime deploy instead? I tried to follow https://github.com/qiime/qiime-deploy

But I don't really understand how it works and not sure with the version of my Ubuntu.


UPDATE: I tried to follow http://qiime.org/1.8.0/install/install.html on my machine with ubuntu 14.04 virtual machine and working internet. I installed pip and ran

sudo apt-get install build-essential

and

pip install numpy==1.7.1 

but got this error

Exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 283, in run
    requirement_set.install(install_options, global_options, root=options.root_path)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1431, in install
    requirement.uninstall(auto_confirm=True)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 598, in uninstall
    paths_to_remove.remove(auto_confirm)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1836, in remove
    renames(path, new_path)
  File "/usr/lib/python2.7/dist-packages/pip/util.py", line 295, in renames
    shutil.move(old, new)
  File "/usr/lib/python2.7/shutil.py", line 303, in move
    os.unlink(src)
OSError: [Errno 13] Permission denied: '/usr/local/bin/f2py'

Traceback (most recent call last):
  File "/usr/local/bin/pip", line 9, in <module>
    load_entry_point('pip==1.5.4', 'console_scripts', 'pip')()
  File "/usr/lib/python2.7/dist-packages/pip/__init__.py", line 235, in main
    return command.main(cmd_args)
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 161, in main
    text = '\n'.join(complete_log)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 72: ordinal not in range(128)

Should I continue with

pip install qiime

 

 

 

qiime metagenomics • 3.5k views
ADD COMMENTlink modified 3.5 years ago by simarg50 • written 3.5 years ago by weiven9020

Did you do sudo apt-get update before installing?

ADD REPLYlink written 3.5 years ago by venu5.6k

Yes and these are the last several lines of error.

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/main/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/restricted/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/universe/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/multiverse/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/main/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/universe/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-updates/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/main/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/restricted/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/universe/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/multiverse/source/Sources  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/main/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/universe/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/raring-backports/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.91.15 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
ADD REPLYlink modified 3.5 years ago • written 3.5 years ago by weiven9020
0
gravatar for Josh Herr
3.5 years ago by
Josh Herr5.6k
University of Nebraska
Josh Herr5.6k wrote:

Check your internet connection or how you are connecting to the internet -- your error is stating that you're not able to connect to download or update your dependencies.

Have you tried to update from the command line before?  i.e. have you seen this error before?

P.S. Doesn't look like this is a QIIME or bioinformatics issue -- my bet this is a problem with your internet connection or protocol.

ADD COMMENTlink modified 3.5 years ago • written 3.5 years ago by Josh Herr5.6k

Thanks. I now use a local machine with internet but ran into an error described in the updated post

ADD REPLYlink written 3.5 years ago by weiven9020

yes, did you try to:

​sudo pip install numpy
ADD REPLYlink modified 3.5 years ago • written 3.5 years ago by Josh Herr5.6k
0
gravatar for simarg
3.5 years ago by
simarg50
Cyprus
simarg50 wrote:

You need update your package base (apt-get update) before you make install, but your Ubuntu distro looks so old,  packages already moved into archive 

http://askubuntu.com/questions/502106/ubuntu-13-04-all-apt-get-mirrors-down

you should run 

sudo sed -i -e 's/archive.ubuntu.com\|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

sudo apt-get update

or, better, upgrade your installation

 

ADD COMMENTlink modified 3.5 years ago by Josh Herr5.6k • written 3.5 years ago by simarg50
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1523 users visited in the last hour